# Why blog?

_May 2nd, 2020 · 3 minute read · #blogging_

While learning Rust I was struggling with certain concepts so I tried to organize my thoughts by writing them down in markdown files and well... I soon had several markdown files. I thought _"Maybe I should start a blog?"_ but then I realized _"I probably shouldn't, my posts will never be as good as anything written on Rust by Niko Matsakis, Saoirse Shipwreckt, Huon Wilson, David Tolnay, Alexis Beingessner, Daniel Keep, Carl Fredrik Samson, Aleksey Kladov, Amos Wegner, Pascal Hertleif, Dimitri Sabadie, Daniel Henry-Mantilla, Steve Klabnik, Jake Goulding, or Carol Nichols"_. That list isn't even exhaustive, there's easily dozens of people I left out! There's lots of super smart folk who are already writing about Rust. However, I have one unique advantage that none of those people have: I'm dumb. Super smart people tend to write super smart articles that only other super smart people understand. There's a gap in the market for us dummies, and it's that gap I intend to fill with my writing.

Also I saw this comic which was pretty encouraging:

![holy shit two cakes](../assets/holy-shit-two-cakes.png)

_artist credit: [stuffman](https://stuffman.tumblr.com/)_



## Yeah but why is your blog a github repo and not a website?

I'm a full-stack webdev by trade so I'm _super nitpicky_ when it comes to websites. I try to perfect every aspect from the HTML to the CSS to the JS to the HTTP responses sent from the backend. I'll spend days on optimizing my build & deploy pipeline from 2 seconds to 1 second which ironically is a huge waste of time that I'll never get back and it's something nobody will ever see or appreciate. I get so lost in the technical details that I spend all my energy on making _the perfect website_ and then I'm too burned out to do any writing. I know there are [hundreds of static site generators](https://www.staticgen.com/) that do 90%+ of the technical work for you but I've tried those in the past and wasn't satisfied with them. That's not because they're bad tools, a lot of them are excellent tools, it's just that I'm a craftsman and not happy with something unless I made it with my own two hands. It's a problem, I know.

I was almost about to give up on my blog idea but that's when I ran across [Frank McSherry's blog](https://github.com/frankmcsherry/blog). Wow, how come I've never thought of doing that? You don't have to build, deploy, or render anything! You push the markdown files to github and people can just read them on github. It's disgustingly simple. I love it. For the first time ever I'm gonna focus on actually writing.

One small final note: I plan to focus this blog entirely around Rust. Aside from this initial post I don't intend to use this blog to post about personal things.



## Notifications

[Follow pretzelhammer on Twitter](https://twitter.com/pretzelhammer) to get notified of future blog posts!



## Further Reading

- [Learning Rust in 2020](./learning-rust-in-2020.md)
- [Common Rust Lifetime Misconceptions](./common-rust-lifetime-misconceptions.md)
- [Sizedness in Rust](./sizedness-in-rust.md)
